View Issue Details

IDProjectCategoryView StatusLast Update
0004177SOGoWeb Mailpublic2017-06-28 14:03
Reporternenonano Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSRHEL/CentOSOS Version6
Product Version3.2.9 
Fixed in Version3.2.10 
Summary0004177: error accessing junk folder
Description

every time an user try to access the junk folder in webmail an error message is displayed and in the logs I see:

May 25 16:18:41 sogod [16279]: [ERROR] <0x0x7f2b860f2c58[NGImap4Connection]> could not select URL: imap://admin@localhost/Junk/: {RawResponse = "{ResponseResult = {description = \"Mailbox doesn't exist: Junk\"; result = no; tagId = 6; }; }"; reason = "Mailbox doesn't exist: Junk"; result = 0; }

Steps To Reproduce

see description

TagsNo tags attached.

Activities

sggs

sggs

2017-05-31 12:19

reporter   ~0011892

apparently this happens (at least in Version 3.2.9 (@shiva.inverse 201705300645)) when you try to access an empty 'standard folder', such as drafts or trash.

workaround: copy/move at least one mail into the folder

Related Changesets

sogo: master 9f96639e

2017-06-28 14:01:52

francis

Details Diff
Ignore errors of nonexistent special mailboxes

Fixes 0004177
Affected Issues
0004177
mod - NEWS Diff File
mod - UI/MailerUI/UIxMailFolderActions.m Diff File
mod - UI/MailerUI/UIxMailListActions.m Diff File

Issue History

Date Modified Username Field Change
2017-05-25 10:37 nenonano New Issue
2017-05-31 12:19 sggs Note Added: 0011892
2017-06-28 14:03 francis Changeset attached => sogo master 9f96639e
2017-06-28 14:03 francis Assigned To => francis
2017-06-28 14:03 francis Resolution open => fixed
2017-06-28 14:03 francis Status new => resolved
2017-06-28 14:03 francis Fixed in Version => 3.2.10